Subject: Re: bug#78923: 31.0.50; recent gnulib update broke build on OSX 15.5

From: Eli Zaretskii <[email-masked]>
Date: Sun, 29 Jun 2025 13:01:20 +0300

merge 78923 78924
thanks

> From: Liam Stitt <[email-masked]>
> Date: Sun, 29 Jun 2025 03:26:43 -0600
> 
> 
> Hi. As of the recent gnulib update, building on Sequoia yields:
> 
> open.c:145:11: error: use of undeclared identifier 'HAVE_WORKING_O_DIRECTORY'
>   145 |      || (!HAVE_WORKING_O_DIRECTORY && flags & O_DIRECTORY));
>       |           ^

Your messages created two bug reports for the same issue; merging
them.